nvme_identify_allocated_ns_list_csi(2)

NAME
nvme_identify_allocated_ns_list_csi - Allocated namespace ID list associated with a specified I/O command set

SYNOPSIS
int nvme_identify_allocated_ns_list_csi (int fd , __u32 nsid , enum nvme_csi csi , struct nvme_ns_list *ns_list );

ARGUMENTS

fd  File descriptor of nvme device

nsid
    Return namespaces greater than this identifier

csi Command Set Identifier

ns_list
    User space destination address to transfer the data

DESCRIPTION
A list of 1024 namespace IDs is returned to the host containing allocated NSIDs in increasing order that are greater than the value specified in the nsid field of the command and matching the I/O Command Set specified in the csi argument.

See struct nvme_ns_list for the definition of the returned structure.

RETURN
The nvme command status if a response was received (see enum nvme_status_field) or -1 with errno set otherwise.